Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.objectbase
Interface MessageProbe

All Known Subinterfaces:
  ActiveGraph, ActiveOutFile, Averager, Entropy

All Known Implementing Classes:
  MessageProbeImpl, AveragerImpl, ActiveOutFileImpl, EntropyImpl, ActiveGraphImpl

public interface MessageProbe
extends Probe, ProbeS

A class that allows the user to call a given message on any candidate that is an instance of, or inherits from, a given class.. This is a specialized subclass of the abstract class Probe. It completes the specification of a probe that refers to a message element of an object.

Method Summary
`double` | `doubleDynamicCallOn(java.lang.Object target)` The doubleDynamicCallOn: method generates a dynamic message call on the target object.
`int` | `getArgCount()`
`java.lang.String` | `getArgName(int which)` The getArgName: method returns a string representation of the argument key with the given index.
`boolean` | `getHideResult()` The getHideResult method returns 1 if the result field is "hidden".
`java.lang.String` | `getProbedMessage()` The getProbedMessage method returns the string matching the identifier of the message being probed.
`boolean` | `isArgumentId(int which)` The isArgumentId: method returns 1 if a given argument of the message is of type object, and returns 0 otherwise.
`boolean` | `isResultId()` The isResultId method returns 1 if the return value of the message is of type object, and returns 0 otherwise.
`int` | `longDynamicCallOn(java.lang.Object target)` The longDynamicCallOn: method generates a dynamic message call on the target object.
`java.lang.Object` | `objectDynamicCallOn(java.lang.Object target)` The objectDynamicCallOn: method generates a dynamic message call on the target object.
`java.lang.Object` | `setArg$ToString(int which, java.lang.String what)` The setArg:ToString: method sets the nth argument of the message.
`java.lang.Object` | `setArg$ToUnsigned(int which, int x)` The setArg:ToUnsigned: method sets the nth argument of the message used by the probe to an unsigned integer value.
`java.lang.String` | `stringDynamicCallOn(java.lang.Object target)` The stringDynamicCallOn: method generates a dynamic message call on the target object.

Methods inherited from interface swarm.objectbase.Probe
`clone, getProbedClass, getProbedType`

Methods inherited from interface swarm.objectbase.ProbeS
`setSafety, unsetSafety`

Methods inherited from interface swarm.objectbase.SwarmObject
`getCompleteProbeMap, getProbeForMessage, getProbeForVariable, getProbeMap`

Methods inherited from interface swarm.objectbase.ProbeConfig
`getObjectToNotify, setObjectToNotify`

Methods inherited from interface swarm.defobj.Drop
`drop`

Methods inherited from interface swarm.defobj.DefinedObject
`compare, describe, describeID, getDisplayName, getTypeName, getZone, perform, perform$with, perform$with$with, perform$with$with$with, respondsTo, setDisplayName, xfprint, xfprintid, xprint, xprintid`

Methods inherited from interface swarm.defobj.GetName
`getName`

Method Detail

### isResultId

    public boolean isResultId()

  The isResultId method returns 1 if the return value of the message is of type object, and returns 0 otherwise.

### isArgumentId

    public boolean isArgumentId(int which)

  The isArgumentId: method returns 1 if a given argument of the message is of type object, and returns 0 otherwise.

### getProbedMessage

    public java.lang.String getProbedMessage()

  The getProbedMessage method returns the string matching the identifier of the message being probed.

### getArgCount

    public int getArgCount()

### getArgName

    public java.lang.String getArgName(int which)

  The getArgName: method returns a string representation of the argument key with the given index.

### getHideResult

    public boolean getHideResult()

  The getHideResult method returns 1 if the result field is "hidden".

### setArg$ToString

    public java.lang.Object setArg$ToString(int which,
                                            java.lang.String what)

  The setArg:ToString: method sets the nth argument of the message. The argument must be provided in string form.

### setArg$ToUnsigned

    public java.lang.Object setArg$ToUnsigned(int which,
                                              int x)

  The setArg:ToUnsigned: method sets the nth argument of the message used by the probe to an unsigned integer value. The user is responsible for matching the unsigned integer type of this argument with the argument type of the method being probed.

### doubleDynamicCallOn

    public double doubleDynamicCallOn(java.lang.Object target)

  The doubleDynamicCallOn: method generates a dynamic message call on the target object. This method assumes the user knows the type to be numeric and would like a direct translation into type double.

### longDynamicCallOn

    public int longDynamicCallOn(java.lang.Object target)

  The longDynamicCallOn: method generates a dynamic message call on the target object. This method assumes the user knows the return type to be numeric and would like a direct translation into type logn.

### stringDynamicCallOn

    public java.lang.String stringDynamicCallOn(java.lang.Object target)

  The stringDynamicCallOn: method generates a dynamic message call on the target object. This method assumes the user knows the return type to be const char *.

### objectDynamicCallOn

    public java.lang.Object objectDynamicCallOn(java.lang.Object target)

  The objectDynamicCallOn: method generates a dynamic message call on the target object. This method assumes the user knows the return type to be id.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD